Bug 19159 - dbus-specification lacks information about comment format
Summary: dbus-specification lacks information about comment format
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Havoc Pennington
QA Contact: John (J5) Palmieri
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-18 08:10 UTC by Sven Herzberg
Modified: 2011-04-07 10:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (v1) (2.02 KB, patch)
2009-01-04 09:21 UTC, Sven Herzberg
Details | Splinter Review

Description Sven Herzberg 2008-12-18 08:10:50 UTC
When looking through the system-services folder on my machine, I realized that one file had a comment in there following this regexp "^#.*$". However, this is not documented in the dbus specification.

Please tell me if this is correct use of D-Bus service specification files so I can provide a patch to the specification.
Comment 1 Havoc Pennington 2009-01-04 08:34:12 UTC
This kind of thing is all inherited from the desktop entry spec:
http://standards.freedesktop.org/desktop-entry-spec/latest/

I don't think we should cut-and-paste the whole desktop entry spec or even the syntax part of it into the dbus spec. Somehow we should incorporate it by reference and explain which parts of it apply and do not apply, or something.
Comment 2 Sven Herzberg 2009-01-04 09:21:22 UTC
Created attachment 21651 [details] [review]
Proposed patch (v1)

This patch updates the location of the desktop entry specification and adds a small list of parts that apply to service files as well...
Comment 3 Havoc Pennington 2009-01-04 11:59:17 UTC
When you say "These sections from the specification" it might be clearer to say "These sections from the desktop entry specification"

Looks like a nice improvement.
Comment 4 Simon McVittie 2011-04-07 10:28:17 UTC
Fixed in git for 1.4.8 (I didn't apply the change to the desktop entry spec URL, since someone else has already changed it, to a different URL which also works).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.